# `material-dynmap` source code

## Source code

### Scripts

- [`app.js`][material-dynmap-src-app-js] - main app, designed to be imported by other scripts.
- [`index.js`][material-dynmap-src-index-js] - entrypoint for site-wide installation from NPM by developers.
- [`user.js`][material-dynmap-src-user-js] - entrypoint for personal installation from OpenUserJS by users.
- [`electron.js`][material-dynmap-src-electron-js] - preload script for Electron for use with Nativefier.

### Stylesheets

- [`main.css`][material-dynmap-src-main-css] - main stylesheet for material design in map page.
- [`login.css`][material-dynmap-src-login-css] - stylesheet for material design in login page
- [`mdi.css`][material-dynmap-src-mdi-css] - [Material Design Icons][templarian-mdi] font, locked to `5.9.55`.

## Instllation

See the [installation section of `README.md`][material-dynmap-readme].

<!-- Scripts -->
[material-dynmap-src-app-js]: https://github.com/SNDST00M/material-dynmap/blob/v1.1.0/src/app.js
[material-dynmap-src-index-js]: https://github.com/SNDST00M/material-dynmap/blob/v1.1.0/src/index.js
[material-dynmap-src-user-js]: https://github.com/SNDST00M/material-dynmap/blob/v1.1.0/src/user.js
[material-dynmap-src-electron-js]: https://github.com/SNDST00M/material-dynmap/blob/v1.1.0/src/electron.js
<!-- Stylesheets -->
[material-dynmap-src-main-css]: https://github.com/SNDST00M/material-dynmap/blob/v1.1.0/src/main.css
[material-dynmap-src-login-css]: https://github.com/SNDST00M/material-dynmap/blob/v1.1.0/src/login.css
[material-dynmap-src-mdi-css]: https://github.com/SNDST00M/material-dynmap/blob/v1.1.0/src/mdi.css
[templarian-mdi]: https://materialdesignicons.com
<!-- Installation -->
[material-dynmap-readme]: https://github.com/SNDST00M/material-dynmap/blob/v1.1.0/README.md#installation
