# Changelog

## 1.1.0

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v1.1.0/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-11-25&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/21/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v1.1.0&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/21/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v1.1.0&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Add sitewide script injection for login page in JAR plugin.
- Add support for minimap `DIM-1` and `DIM1` images.
- Add support for legacy minimap dimensions.

## 1.0.0

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v1.0.0/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-11-10&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/20/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v1.0.0&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/20/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v1.0.0&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Fix userscript `@exclude` rules.
- Fix minimap styling bug in mobile breakpoint.

## 0.9.3

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.9.3/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-11-02&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/19/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.9.3&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/19/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.9.3&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Fix minimap rendering logic after chip world selection.
- Fix wrapping bug in chip label whitespace.
- Upgrade Stylelint to v14.

## 0.9.2

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.9.2/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-10-27&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/18/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.9.2&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/18/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.9.2&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Fix interactivity logic for world chip component.
- Fix layer selector visibility for minimap component.

## 0.9.1

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.9.1/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-10-19&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/17/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.9.1&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/17/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.9.1&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

Fix horizontal chat visibility bug when `allowwebchat` is `false`.

## 0.9.0

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.9.0/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-10-15&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/16/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.9.0&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/16/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.9.0&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Add support for Dynmap server chat in the sidebar.
- Use Dynmap and Leaflet APIs for DOM element creation.
- Implement cross-browser and plugin test automation workflow.
- Fix layering bug for control items in map UI.
- Reduce player list width from 270px to 250px.

## 0.8.1

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.8.1/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-09-03&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/15/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.8.1&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/15/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.8.1&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Fix `java.lang.NoClassDefFoundError` plugin errors.
- Remove non-Minecraft plugin dependencies in JAR.

## 0.8.0

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.8.0/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-09-02&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/14/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.8.0&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/14/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.8.0&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Add JAR for easy server-side installation.
- Fix styling injection in Electron preload script.

## 0.7.0

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.7.0/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-18&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/13/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.7.0&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/13/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.7.0&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Add player list pin button for mobile/narrow resolutions.
- Post-boot minimising the player list in mobile/narrow resolutions.
- Add empty directory for Vercel app (CI dynmap server).

## 0.6.1

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.6.1/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-17&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/12/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.6.1&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/12/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.6.1&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Fix minimap asset selectors post-rebase.
- Remove GM_addElement CORS bypass.
- Fix post-load material stylesheet FOUC
- Automate tracking status label for convenience.
- Enable CI actions on release candidate pulls.

## 0.6.0

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.6.0/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-16&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/11/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.6.0&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/10/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.6.0&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Fix minimap button injection when clock not present.
- Fix minimap asset CSS selectors.
- Readopt Violentmonkey.
- Convert error dialog into modal.
- Remove styling from type worldlist clone.
- Inject app script with app-specific ID.
- Fix typo in README "Installation" header.

## 0.5.0

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.5.0/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-12&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/10/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.5.0&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/10/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.5.0&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

Add minimap assets for the Nether and the End.

## 0.4.3

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.4.2/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-09&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/9/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.4.1&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/9/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.4.3&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Recommend Tampermonkey instead of Violentmonkey.
- Fix compass direction in topology view.
- Remove version locking in Electron script.

## 0.4.2

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.4.2/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-09&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

Fix nonexistent asset tags for version 0.4.1.

## 0.4.1

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=f82b3b" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.4.1/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-09&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=f82b3b" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/8/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.4.1&logo=trello&logoColor=ffffff&labelColor=212121&color=f82b3b" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/8/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.4.1&logo=github&logoColor=ffffff&labelColor=212121&color=f82b3b" /></a>

- Update map screenshot with `v0.4.0` minimap assets.
- Update CSS to fit minimap asset redesign.
- Add drop shadow to trees in minimap images.

## 0.4.0

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.4.0/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-09&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/7/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.4.0&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/7/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.4.0&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Fix fatal DOM JS error in package scripts.
- Add bespoke Minecraft-style image assets.

## 0.3.0

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.3.0/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-08&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/6/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.3.0&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/6"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.3.0&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Add cross-platform installation guide.
- Add double run protection to entrypoints.
- Migrate from [UNPKG] to [JSDelivr].
- Add `"material-dynmap.load"` event to `window` and `document`.
- Add Github and video hosts to userscript exclusion list.
- Add documentation for source code folder.
- Improve positioning and content of issue checklists.

## 0.2.2

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.2.2/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-06&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/5/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.2.2&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/5"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.2.2&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Fix 3-up map type "layer" pane renderer.
- Adopt Minecraft color scheme.
- Fix for login style injection for sitewide script.
- Fix for compass contrast against dark areas.
- Copyedit bug report template.

## 0.2.1

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.2.1/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-06&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/4/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.2.1&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/4"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.2.1&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Fix 3-up map type "layer" pane renderer.
- Adopt Minecraft color scheme.
- Fix for login style injection for sitewide script.
- Fix for compass contrast against dark areas.
- Copyedit bug report template.

## 0.2.0

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.2.0/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-05&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/3/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.2.0&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/3"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.2.0&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Internalise all dependencies on foreign CDN assets.
- Fix Unicode escapes in main stylesheet.
- Improve caching behavior and installation speed for userscript.
- Exclude common domains from Tampermonkey userscript scanning.
- Fix stylesheet initialisation in post-load scripting.
- Copyedit documentation and workflow templates.
- Include original Dynmap developers as backup maintainers.
- Automate labelling in issue workflow.

## 0.1.1

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.1.1/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-05&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/2/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.1.1&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/2"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.1.1&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Updated JS and CSS to fix broken references and outdated code.
- Updated documentation to adjust broken references to assets.
- Fix typos and errors in templates and metadata.

## 0.1.0

<a href="https://dev.bukkit.org/projects/dynmap" target="_blank"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Compatibility&message=>=v3.0&logo=curseforge&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/tree/v0.1.0/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Release%20Date&message=2021-08-05&logo=googlecalendar&logoColor=ffffff&labelColor=212121&color=0093ed" /> <a href="https://github.com/SNDST00M/material-dynmap/projects/1/"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Project%20Board&message=v0.1.0&logo=trello&logoColor=ffffff&labelColor=212121&color=0093ed" /></a> <a href="https://github.com/SNDST00M/material-dynmap/milestone/1"><img src="https://img.shields.io/static/v1.svg?style=flat-square&label=Milestone&message=v0.1.0&logo=github&logoColor=ffffff&labelColor=212121&color=0093ed" /></a>

- Initial version.
- Userscript and server-wide entrypoints.
- Styling for main map interface and login page.

## Roadmap

- Investigate [Webkit fractional zoom bugfix][leaflet-issue-3575].
- Improve mobile UX and script compatibility.

<!-- 0.3.0 -->
[unpkg]: https://unpkg.com
[jsdelivr]: https://www.jsdelivr.com
<!-- Roadmap -->
[leaflet-issue-3575]: https://github.com/Leaflet/Leaflet/issues/3575
[nativefier]: https://github.com/nativefier/nativefier
