/* eslint-env node, mocha */
const conf = require("../selenium.conf");
const fixture = require("./fixture.test");

conf.capabilities.forEach(function(cap) {
	suite(`${cap.browserName} Tests`, function() {
		this.timeout(60000);
		test("./src/index.js", fixture.bind({
			capability: cap,
			pageLoadStrategy: "normal",
			scriptName: "index.js (JAR)"
		}));
	});
});
